Subject: Re: bug#30699: 26.0.91; buffer contents flicker on macOS frames when frames are resized

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Mar 2018 17:27:42 +0200

> Date: Mon, 19 Mar 2018 15:15:52 +0000
> From: Alan Third <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> I’ve attached a new version of the patch.
> 
> Eli, I left the global variable as static since as far as I can tell
> static global variables are still global to all threads, which is the
> behaviour I believe we want. These functions should only be called
> from the main thread anyway, Cocoa will kill the thread if GUI calls
> are made from non‐main threads.
> 
> If it definitely shouldn’t be static, what should I do with it?
> 
> I moved the call to ns_enable_screen_updates in unwind_redisplay as
> that’s where the double buffering code appears to unblock updates.

It's fine with me to install this on master, and see if there are any
adverse effects.

Thanks.